Subject: Re: [Lwip] Fwd: New Version Notification for draft-aks-lwig-crypto-sensors-01.txt

From: Mohit Sethi <[email-masked]>
Date: Mon, 4 Jul 2016 12:00:01 +0300

Hi Zhen

Thanks for the feedback.

We have previously ported Brian Gladman's byte-oriented AES code 
http://www.gladman.me.uk/AES <https://github.com/abhay/gladman-aes> to 
the same 8-bit platform.

We were able to perform AES encryption and decryption with very little 
amount of RAM consumption (< ~2kB) and minimal execution time.

Hope this info is useful. We look forward to further feedback.

Thanks
/--Mohit

On 07/01/2016 05:47 AM, Zhen Cao wrote:
> Hi Mohit ,
>
> Nice draft with a lot of reference data
>
> one quick question: do you have any data around AES/tinyAES, and DTLS
> memory footprint?
>
> Many thanks,
> Zhen
>
> On Thu, Jun 30, 2016 at 6:11 PM, Mohit Sethi <[email-masked]> wrote:
>> Dear all,
>>
>> We have uploaded the next version of our draft documenting the
>> implementation experiences of public-key cryptography on 8-bit
>> micro-controllers. The draft is available here:
>> https://tools.ietf.org/html/draft-aks-lwig-crypto-sensors-01
>>
>> In this updated version, we have included the implementation results from
>> the performance analysis of Ed25519 (the crypto forum research group is
>> currently specifying the recommended parameters) signature generation on the
>> same 8-bit micro-controller.
>>
>> The informational document also provides design patterns and guidelines for
>> ensuring integrity protection and freshness of messages that might be
>> helpful when deploying such devices in practice.
>>
>> We look forward to your feedback. We also request the chairs to allocate a
>> short slot (10/12 mins) for presenting this updated version.
>>
>> Thanks
>> /--Mohit
>>
>>
>> -------- Forwarded Message --------
>> Subject:        New Version Notification for
>> draft-aks-lwig-crypto-sensors-01.txt
>> Date:   Thu, 30 Jun 2016 02:48:04 -0700
>> From:   [email-masked]
>> To:     Mohit Sethi <[email-masked]>, Heidi-Maria Back
>> <[email-masked]>, Jari Arkko <[email-masked]>, Ari
>> Keranen <[email-masked]>
>>
>>
>>
>> A new version of I-D, draft-aks-lwig-crypto-sensors-01.txt
>> has been successfully submitted by Mohit Sethi and posted to the
>> IETF repository.
>>
>> Name:           draft-aks-lwig-crypto-sensors
>> Revision:       01
>> Title:          Practical Considerations and Implementation Experiences in
>> Securing Smart Object Networks
>> Document date:  2016-06-30
>> Group:          Individual Submission
>> Pages:          31
>> URL:https://www.ietf.org/internet-drafts/draft-aks-lwig-crypto-sensors-01.txt
>> Status:https://datatracker.ietf.org/doc/draft-aks-lwig-crypto-sensors/
>> Htmlized:https://tools.ietf.org/html/draft-aks-lwig-crypto-sensors-01
>> Diff:https://www.ietf.org/rfcdiff?url2=draft-aks-lwig-crypto-sensors-01
>>
>> Abstract:
>>     This memo describes challenges associated with securing smart object
>>     devices in constrained implementations and environments.  The memo
>>     describes a possible deployment model suitable for these
>>     environments, discusses the availability of cryptographic libraries
>>     for small devices, presents some preliminary experiences in
>>     implementing small devices using those libraries, and discusses
>>     trade-offs involving different types of approaches.
>>
>>
>>
>> Please note that it may take a couple of minutes from the time of submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> The IETF Secretariat
>>
>>
>>
>>
>> _______________________________________________
>> Lwip mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/lwip